package com.ekexiu.project.log;

import org.jfw.util.log.Logger;

public class SystemLogger implements Logger {
	@Override
	public boolean isEnableTrace() {
		return true;
	}

	@Override
	public void trace(String message) {
		System.out.println(message);
	}

	@Override
	public void trace(String message, Throwable t) {
		System.err.println(message);
		t.printStackTrace(System.err);
	}

	@Override
	public boolean isEnableDebug() {
		return true;
	}

	@Override
	public void debug(String message) {
		System.err.println(message);
	}

	@Override
	public void debug(String message, Throwable t) {
		System.err.println(message);
		t.printStackTrace(System.err);
	}

	@Override
	public boolean isEnableInfo() {
		return true;
	}

	@Override
	public void info(String message) {
		System.err.println(message);

	}

	@Override
	public void info(String message, Throwable t) {
		System.err.println(message);
		t.printStackTrace(System.err);
	}

	@Override
	public boolean isEnableWarn() {
		return true;
	}

	@Override
	public void warn(String message) {
		System.err.println(message);
	}

	@Override
	public void warn(String message, Throwable t) {
		System.err.println(message);
		t.printStackTrace(System.err);
	}

	@Override
	public void error(String message) {
		System.err.println(message);
	}

	@Override
	public void error(String message, Throwable t) {
		System.err.println(message);
		t.printStackTrace(System.err);
	}

	@Override
	public void fatal(String message) {
		System.err.println(message);
	}

	@Override
	public void fatal(String message, Throwable t) {
		System.err.println(message);
		t.printStackTrace(System.err);
	}

}
